# StoreKeysLocation

This property affects the StoreKeys API.\
\
The QLM API includes 2 methods that can store and read back the keys: StoreKeys and ReadKeys. If you use the StoreKeys and ReadKeys API, or if you use the QLM .NET Web Control, the activation key and computer key can be stored either in a file or in the registry on the end user system.\
\
The possible values for this property are:\
\
**EFile:** stores the license key in a file on the end user system (the file can be stored at the user level, at the machine level or both depending on the value of the [StoreKeysOptions](/docs/api-reference/.net-api/qlmlicense/properties/storekeysoptions.md) property).\
\
**ERegistry:** stores the license key in the registry on the end user system.

**EFileCommonData:** stores the license keys in the Windows CommonData folder (C:\ProgramData) where the keys are accessible to any user on the system.\
\
To clear the keys stored on the system, call the DeleteKeys API.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/properties/storekeyslocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
